typedef ASPError = {
 //The aspCode property returns the error code generated by IIS.
  var aspCode(default,null):String;
 //The aspDescription property returns a string that provides more detailed description of the error as compared to the short description returned by the Description property. (Not available for all errors.)
  var aspDescription(default,null):String;
 //The category property returns a string indicating if the error was generated by IIS, an object, or a scripting language.
  var category(default,null):String;
 //The column property returns a long integer defining the column position inside the ASP file where the error occurred.
  var column(default,null):Int;
	//the description property returns a string that describes the error.
	//unfortunately, an ASPError has no message property which is the standard property name for this.
	//this is one reason why this class doesn't extend Error
  var description(default,null):String;
 //The file property returns the name of the ASP (Active Server Page) file in which the error occurred.
  var file(default,null):String;
 //The line property returns an long integer defining the line number inside the ASP file where the error occurred.
  var line(default,null):Int;
 //The number property returns a long integer defining the standard COM error code returned by a COM component.
  var number(default,null):Int;
 //The source property returns a string with the actual line from the source code where the error occurred (if available).
  var source(default,null):String;
}